View Issue Details

IDCategoryLast Update
0007801bugs2019-08-29 22:35
ReporterSoundTransmissionAssigned To 
Reproducibilityalways 
Status newResolutionopen 
PlatformApple MacintoshOSOS X 10.13 (High Sierra)OS Version10.13.1
Product Version5.12 
Fixed in Version 
Summary0007801: Indiscriminate Hiding of Plugin GUI Windows When Application Loses Focus
DescriptionArdour hides plug-in GUI windows in OS X when the user changes to another application. This behavior makes sense for plug-in GUIs that are static. However, for visually active plug-ins like Filterizor and Oscarizor which are constantly monitoring incoming sound and plotting/charting/otherwise displaying concomitant data (screenshot attached), the user may well want to monitor that window while working on other things. I'm working on a project where I'm constantly monitoring the sound produced by a physical structure which only rarely makes the sounds I'm interested in capturing. I want to be able to have the Filterizor graph of my contact microphones constantly open on one of my computer monitors while I work on other things on my other monitors. How can I make this happen? Thank you in advance!
Steps To ReproduceOpen the GUI for a plug-in, then click out of Ardour into any other application and watch the plugin GUI window disappear.
TagsNo tags attached.

Activities

SoundTransmission

2019-08-28 23:40

reporter  

Screen Shot 2019-08-27 at 7.29.53 PM.png (352,832 bytes)

x42

2019-08-29 22:35

administrator   ~0020767

This is not Ardour's doing. MacOS/X hides dialog or child windows when an application looses focus. With Ardour on Linux, Windows Plugin windows stay visible.

Knowing Apple, there is probably no way to override this UI behavior. Changing the window-type for plugin-windows might work, but then they won't be transient to the main application.

Issue History

Date Modified Username Field Change
2019-08-28 23:40 SoundTransmission New Issue
2019-08-28 23:40 SoundTransmission File Added: Screen Shot 2019-08-27 at 7.29.53 PM.png
2019-08-29 22:35 x42 Note Added: 0020767